package com.fs.watch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 发送消息日志记录对象 watch_send_msg_log
 *
 * @author fs
 * @date 2024-12-02
 */
public class WatchSendMsgLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Integer logId;

    /** 操作类别（0后台用户 1销售端用户 2医生端用户 3系统自动发送） */
    @Excel(name = "操作类别", readConverterExp = "0=后台用户,1=销售端用户,2=医生端用户,3=系统自动发送")
    private Integer operatorType;

    /** 操作人员id */
    @Excel(name = "操作人员id")
    private Long operId;

    /** 消息标题 */
    @Excel(name = "消息标题")
    private String title;

    /** 操作状态（0正常 1异常） */
    @Excel(name = "操作状态", readConverterExp = "0=正常,1=异常")
    private Integer status;

    /** 消息详情 */
    @Excel(name = "消息详情")
    private String description;

    /** 发送消息对象 */
    @Excel(name = "发送消息对象")
    private String deviceIds;

    /** 错误消息 */
    @Excel(name = "错误消息")
    private String errorMsg;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date operTime;

    /** 消息类型 (0:看课提醒 1:用药提醒 2:测试提醒 3:其他) */
    @Excel(name = "消息类型", readConverterExp = "0=看课提醒,1=用药提醒,2=测试提醒,3=其他")
    private Integer msgType;

    /** 消息类型 (0:看课提醒 1:用药提醒 2:测试提醒 3:其他) */
    @Excel(name = "详情类型")
    private String detailsType;


    public void setLogId(Integer logId)
    {
        this.logId = logId;
    }

    public Integer getLogId()
    {
        return logId;
    }
    public void setOperatorType(Integer operatorType)
    {
        this.operatorType = operatorType;
    }

    public Integer getOperatorType()
    {
        return operatorType;
    }
    public void setOperId(Long operId)
    {
        this.operId = operId;
    }

    public Long getOperId()
    {
        return operId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setDeviceIds(String deviceIds)
    {
        this.deviceIds = deviceIds;
    }

    public String getDeviceIds()
    {
        return deviceIds;
    }
    public void setErrorMsg(String errorMsg)
    {
        this.errorMsg = errorMsg;
    }

    public String getErrorMsg()
    {
        return errorMsg;
    }
    public void setOperTime(Date operTime)
    {
        this.operTime = operTime;
    }

    public Date getOperTime()
    {
        return operTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("logId", getLogId())
            .append("operatorType", getOperatorType())
            .append("operId", getOperId())
            .append("title", getTitle())
            .append("status", getStatus())
            .append("description", getDescription())
            .append("deviceIds", getDeviceIds())
            .append("errorMsg", getErrorMsg())
            .append("operTime", getOperTime())
            .append("msgType", getMsgType())
            .append("detailsType", getDetailsType())
            .toString();
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public String getDetailsType() {
        return detailsType;
    }

    public void setDetailsType(String detailsType) {
        this.detailsType = detailsType;
    }
}
